# $Revision: 1.11 $, $Date: 2011/02/12 20:41:26 $
Summary:	Query Object Framework
Summary(pl.UTF-8):	Obiektowy szkielet zapytań
Name:		qof
Version:	0.8.1
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	https://alioth.debian.org/frs/download.php/3059/%{name}-%{version}.tar.gz
# Source0-md5:	f504815983949752b7133f108760b99c
Patch0:		ac.patch
Patch1:		undefined_behavior.patch
URL:		https://alioth.debian.org/projects/qof/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	libgda3-devel >= 3.0.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.5.10
BuildRequires:	perl-base >= 5.0
BuildRequires:	pkgconfig
BuildRequires:	sqlite-devel >= 2.8.0
Requires:	glib2 >= 1:2.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QOF is an offshoot of the GnuCash engine, consisting of those pieces
unrelated to accounting. The Query Engine allows C/C++ applications to
treat random collections of objects as if they were SQL tables, and
perform table-join type queries across them. In addition, the query
engine can be backed by an actual database, so that instances of local
objects can act as a 'cache' to a much larger SQL database.

%description -l pl.UTF-8
QOF to odprysk silnika GnuCasha, składający się z części nie
związanych z finansami. Silnik zapytań pozwala aplikacjom C/C++
traktować dowolne kolekcje obiektów tak, jakby były tabelami SQL i
wykonywać na nich zapytania z łączeniem tabel. Ponadto silnik zapytań
może być powiązany z właściwą bazą danych, dzięki czemu instancje
obiektów lokalnych mogą służyć jako "pamięć podręczna" dla dużo
większej bazy danych SQL.

%package devel
Summary:	Header files for QOF library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki QOF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.10.0
Requires:	libgda3-devel >= 3.0.1

%description devel
Header files for QOF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki QOF.

%package static
Summary:	Static QOF libraries
Summary(pl.UTF-8):	Statyczne biblioteki QOF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static QOF libraries.

%description static -l pl.UTF-8
Statyczne biblioteki QOF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-doxygen \
	--enable-gdabackend \
	--enable-sqlite
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dlopened
%{__rm} $RPM_BUILD_ROOT%{_libdir}/qof2/libqof-backend-*.{la,a}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libqof.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libqof.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqof.so.2
%dir %{_libdir}/qof2
%attr(755,root,root) %{_libdir}/qof2/libqof-backend-gda.so
%attr(755,root,root) %{_libdir}/qof2/libqof-backend-qsf.so
%attr(755,root,root) %{_libdir}/qof2/libqof-backend-sqlite.so
%{_datadir}/xml/qof

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_libdir}/libqof.so
%{_includedir}/qof
%{_pkgconfigdir}/qof.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqof.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qof.spec,v $
Revision 1.11  2011/02/12 20:41:26  arekm
- rel 2

Revision 1.10  2011/02/12 15:08:19  sparky
- BR: db-devel

Revision 1.9  2011/02/12 11:58:52  qboosh
- missing dir

Revision 1.8  2011/02/07 19:25:14  wiget
- update to 0.8.1 (soname change)
- drop libtool file

Revision 1.7  2008/05/30 22:17:27  qboosh
- updated to 0.7.5
- updated link patch

Revision 1.6  2007-09-08 09:51:17  qboosh
- updated to 0.7.2
- updated link patch, dropped libgda2 patch

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2006/03/02 15:31:09  qboosh
- updated to 0.6.2, updated link patch

Revision 1.2  2006/02/21 23:13:34  qboosh
- added link,libgda2 patches, -devel deps

Revision 1.1  2006/02/20 23:32:50  qboosh
- new, NFY
